import { CurrencyPipe } from '@angular/common';
import { Component, input } from '@angular/core';
import { TypographyComponent } from './../../atoms/typography/typography.component';
import { TypographyVariants } from './../../types/TypographyVariants';
@Component({
  selector: 'mw-money-text',
  standalone: true,
  imports: [CurrencyPipe, TypographyComponent],
  templateUrl: './money-text.component.html',
  styleUrl: './money-text.component.css'
})
export class MoneyTextComponent {
  amount = input(0);
  currencyCode = input("USD");
  color = input("var(--mw-gray-500)");
  lineHeight = input<string|null>(null);
  size = input("1.6rem");
  typographyVariant = TypographyVariants.p;
}
